<?php
class GClientePag{    


    public function listar(){
      return "SELECT c.id_cliente as id, no_cliente as noCliente , c.id_tipo_documento as idTipoDocumento, 
      no_tipo_documento as noTipoDocumento, nu_documento as nuDocumento , no_direccion as noDireccion , no_referencia as noReferencia,
      id_ubigeo as idUbigeo, nu_telefono as nuCelular , nu_telefono_fijo as nuTelefono, no_email as noCorreo
      FROM tb_cliente AS c 
      INNER JOIN tc_tipo_documento AS td ON c.id_tipo_documento = td.id_tipo_documento";
    }

    public function listarXEmail(){
      return "SELECT c.id_cliente FROM tb_cliente AS c WHERE c.no_email = ?";
    }

    public function agregar(){
      return "INSERT INTO tb_cliente (id_tipo_documento, id_ubigeo, nu_documento, no_cliente, no_direccion, 
      nu_telefono, no_email, nu_telefono_fijo, id_usuario, no_referencia, id_usuario_modificacion, fe_modificacion, id_cliente)
       VALUES (?,?,?,?,?,?,?,?,?,?,?,current_timestamp(),?);";
    }

    public function actualizar(){
      return "UPDATE tb_cliente SET id_tipo_documento= ?, id_ubigeo= ?, nu_documento= ?, no_cliente= ?, no_direccion= ?, nu_telefono= ?, no_email= ?, nu_telefono_fijo= ?, id_usuario= ?, no_referencia= ?, idUsuarioModificacion= ?, feModificacion= current_timestamp() WHERE id_cliente= ?;";
    }

    public function eliminar(){
      return "DELETE FROM tb_cliente WHERE id_cliente = ?";
    }

    public function listarTipoDocumento(){
      return "SELECT id_tipo_documento as id, no_tipo_documento as noTipoDocumento FROM tc_tipo_documento ";
    } 

}
?>